Debian Bug report logs - #84676
xterm: utmp entry of user starting X is getting clobbered

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Jeff Sheinberg <jeffsh@erols.com>

Date: Sat, 3 Feb 2001 01:48:01 UTC

Severity: normal

Tags: upstream

Merged with 80936, 115570

Found in versions 4.0.2-1, 4.1.0-7

Fixed in version xfree86/4.1.0-8

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#84676; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Jeff Sheinberg <jeffsh@erols.com>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Sheinberg <jeffsh@erols.com>
To: submit@bugs.debian.org
Subject: xterm: utmp entry of user starting X is getting clobbered
Date: Fri, 2 Feb 2001 20:45:02 -0500 (EST)
Package: xterm
Version: 4.0.2-1
Severity: normal

Hi,

I started up X from a Linux VC (tty1), which eventually started
some xterms from my ~/.xsession file.  Once everything under X was
up and running, I noticed that the `w' command did not list the
still logged in user that had started up X from tty1.

This happened on a single user workstation, there is no other
users around to be doing anything nasty like mucking with the utmp
file.

So I created some documentation to demonstrate, just dumps of w,
utmp, and wtmp output, here it is, annotated,

    :: logged on on tty1,  pid=3380, run w
      8:01pm  up 12:25,  1 user,  load average: 0.02, 0.01, 0.00
    USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
    jeff     tty1     -                08:00pm  0.00s  0.35s  0.03s  w 


    :: logged on on tty1,  pid=3380, dump of /var/run/utmp
     | |8|si | 6| | |Fri Feb 2 07:36:05 2001
    reboot |~ |2|~~ | 0| | |Fri Feb 2 07:36:05 2001
    runlevel |~ |1|~~ |20018| | |Fri Feb 2 07:36:05 2001
     | |8|l2 | 241| | |Fri Feb 2 07:36:17 2001
    jeff |tty1 |7|1 | 3380| | |Fri Feb 2 20:00:13 2001
    jsroot |pts/2 |8|2 | 749| |:0.0 |Fri Feb 2 19:59:48 2001
    jss |pts/3 |8|3 | 2603| |:0.0 |Fri Feb 2 18:55:00 2001
    LOGIN |tty4 |6|4 | 433| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty5 |6|5 | 434| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty6 |6|6 | 435| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty9 |6|9 | 436| | |Fri Feb 2 07:36:17 2001
    jeff |pts/0 |8|0 | 704| |:0.0 |Fri Feb 2 19:54:41 2001

    :: logged in on tty1,  pid=3380, now fire up X

    :: logged in on an xterm with pts/0,  pid=3533, run ps a
      PID TTY      STAT   TIME COMMAND
      431 tty2     S      0:00 /sbin/getty 38400 tty2
      432 tty3     S      0:00 /sbin/getty 38400 tty3
      433 tty4     S      0:00 /sbin/getty 38400 tty4
      434 tty5     S      0:00 /sbin/getty 38400 tty5
      435 tty6     S      0:00 /sbin/getty 38400 tty6
      436 tty9     S      0:00 /sbin/getty -I Hit Enter for shell. -l /usr/bin/ash.medium -n -w 38400 tty9
     2831 ttyS2    S      0:00 pppd call erols7-1 ipparam pts/0
     3380 tty1     S      0:00 -bash
     3438 tty1     S      0:00 -bash
     3443 tty1     S      0:00 xinit
     3467 tty1     S      0:00 sh /home/jeff/.xclients
     3476 tty1     S      0:00 xconsole -notify -daemon -verbose -exitOnFail -file /dev/xconsole
     3521 tty1     S      0:00 fvwm2
     3522 tty1     S      0:00 xclock -geometry 75x75+31+15
     3523 tty1     S      0:00 xterm -n jeff-xterm -T jeff-xterm -geometry 80x32+136+0
     3524 tty1     S      0:00 xterm -n jeff-xterm -T jeff-xterm -geometry 80x31+136-0
     3526 tty1     SN     0:00 xbiff
     3527 tty1     S      0:00 xload -label eden-hda7 -geometry 120x139+1036+637
     3528 tty1     S      0:00 xlogo -geometry 100x100+16-29
     3529 tty1     S      0:00 xclipboard -w -geometry 300x200+956-0
     3530 tty1     S      0:00 unclutter -idle 7 -jitter 3 -reset
     3531 tty1     S      0:00 /usr/X11R6/lib/X11/fvwm/2.2.4/FvwmPager 8 5 .fvwm2rc 0 8 0 3
     3532 pts/1    S      0:00 bash
     3533 pts/0    S      0:00 bash
     3577 pts/0    R      0:00 ps a

    :: logged in on an xterm with pts/0,  pid=3533, run w
    :: according to above ps cmd, user on tty1 exists, but not in w output
      8:03pm  up 12:27,  2 users,  load average: 0.10, 0.05, 0.01
    USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
    jeff     pts/1    :0.0             08:02pm 53.00s  0.22s  0.22s  bash 
    jeff     pts/0    :0.0             08:02pm  0.00s  0.27s  0.03s  w 

    :: logged in on an xterm with pts/0,  pid=3533, dump of /var/run/utmp
    :: notice that the entry for tty1 has evaporated
     | |8|si | 6| | |Fri Feb 2 07:36:05 2001
    reboot |~ |2|~~ | 0| | |Fri Feb 2 07:36:05 2001
    runlevel |~ |1|~~ |20018| | |Fri Feb 2 07:36:05 2001
     | |8|l2 | 241| | |Fri Feb 2 07:36:17 2001
    jeff |pts/1 |7|1 | 3532| |:0.0 |Fri Feb 2 20:02:09 2001
    jsroot |pts/2 |8|2 | 749| |:0.0 |Fri Feb 2 19:59:48 2001
    jss |pts/3 |8|3 | 2603| |:0.0 |Fri Feb 2 18:55:00 2001
    LOGIN |tty4 |6|4 | 433| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty5 |6|5 | 434| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty6 |6|6 | 435| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty9 |6|9 | 436| | |Fri Feb 2 07:36:17 2001
    jeff |pts/0 |7|0 | 3533| |:0.0 |Fri Feb 2 20:02:09 2001

    :: logged in on an xterm with pts/0,  pid=3533, dump of /var/log/wtmp
    :: in reverse order, notice the nice entry for tty1 with pid 3380
    jeff |tty1 |7|1 | 3380| | |Fri Feb 2 20:00:13 2001
    LOGIN |tty1 |6|1 | 3380| | |Fri Feb 2 20:00:06 2001
     | |5|1 | 3380| |2.2.18 |Fri Feb 2 20:00:06 2001
     |pts/1 |8|1 | 430| |2.2.18 |Fri Feb 2 20:00:06 2001
    jss |pts/3 |7|3 | 2603| |:0.0 |Fri Feb 2 18:53:56 2001
    jss |pts/3 |7|3 | 843| |:0.0 |Fri Feb 2 07:41:20 2001
    jsroot |pts/2 |7|2 | 749| |:0.0 |Fri Feb 2 07:40:51 2001
    jeff |tty1 |7|1 | 430| | |Fri Feb 2 07:36:38 2001
    LOGIN |tty9 |6|9 | 436| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty5 |6|5 | 434| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty6 |6|6 | 435| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty4 |6|4 | 433| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty3 |6|3 | 432| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty2 |6|2 | 431| | |Fri Feb 2 07:36:17 2001
    LOGIN |tty1 |6|1 | 430| | |Fri Feb 2 07:36:17 2001
     | |5|9 | 436| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|6 | 435| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|5 | 434| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|4 | 433| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|3 | 432| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|2 | 431| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|1 | 430| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |8|l2 | 241| |2.2.18 |Fri Feb 2 07:36:17 2001
     | |5|l2 | 241| |2.2.18 |Fri Feb 2 07:36:05 2001
    runlevel |~ |1|~~ |20018| |2.2.18 |Fri Feb 2 07:36:05 2001
    reboot |~ |2|~~ | 0| |2.2.18 |Fri Feb 2 07:36:05 2001
     | |8|si | 6| |2.2.18 |Fri Feb 2 07:36:05 2001
    shutdown |~~ |1|~~ | 0| |2.2.18 |Thu Feb 1 22:13:35 2001

These are all of the sgid=utmp programs that I have installed, and
the only one that I am using is xterm, that's why I think the
culprit here is xterm,

     128 jeff ~ $ find `split_string $PATH` -follow -group utmp -perm +2000 -ls
     92399 258 -rwxr-sr-x 1 root utmp 263036 Dec 25 00:39 /usr/bin/X11/xterm
     92399 258 -rwxr-sr-x 1 root utmp 263036 Dec 25 00:39 /usr/bin/x-terminal-emulator
     17540 213 -rwxr-sr-x 1 root utmp 216380 Sep  2 11:52 /usr/bin/screen
     17829  42 -rwxr-sr-x 1 root utmp  41020 Jan 18 19:34 /usr/bin/splitvt
     92399 258 -rwxr-sr-x 1 root utmp 263036 Dec 25 00:39 /usr/bin/X11/xterm

Thanks,
-- 
Jeff Sheinberg  <jeffsh@erols.com>


-- System Information
Debian Release: woody/testing
Kernel Version: Linux eden-hda7.my.local 2.2.18 #1 Fri Jan 12 21:23:37 EST 2001 i586 unknown

Versions of the packages xterm depends on:
ii  libc6          2.2.1-1        GNU C Library: Shared libraries and Timezone
ii  libfreetype6   2.0.1-1        FreeType 2 font engine, shared library files
ii  libncurses5    5.0-6.0potato1 Shared libraries for terminal handling
ii  libxaw7        4.0.2-1        X Athena widget set library
ii  xlibs          4.0.2-1        X Window System client libraries



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#84676; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Nicholas Lee <nj.lee@plumtree.co.nz>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #10 received at 84676@bugs.debian.org (full text, mbox):

From: Nicholas Lee <nj.lee@plumtree.co.nz>
To: 84676@bugs.debian.org, Jeff Sheinberg <jeffsh@erols.com>
Cc: 80936@bugs.debian.org
Subject: does the same problem occur on tty2?
Date: Wed, 21 Feb 2001 13:45:04 +1300

I think this is the same problem I'm seeing. 

See: http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=80936


Does your problem occur if X is started from tty2?


Nicholas



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#84676; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Jeff Sheinberg <jeffsh@erols.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #15 received at 84676@bugs.debian.org (full text, mbox):

From: Jeff Sheinberg <jeffsh@erols.com>
To: Nicholas Lee <nj.lee@plumtree.co.nz>
Cc: 84676@bugs.debian.org, Jeff Sheinberg <jeffsh@erols.com>, 80936@bugs.debian.org
Subject: Re: does the same problem occur on tty2?
Date: Thu, 22 Feb 2001 16:10:28 -0500
Nicholas Lee writes:
 > 
 > 
 > I think this is the same problem I'm seeing. 
 > 
 > See: http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=80936

Of course it is the same problem, except that I stated that the
problem is caused by utmp being clobbered, probably by xterm.
And the documentation that I provided shows exactly this.

 > 
 > Does your problem occur if X is started from tty2?
 > 

I always start X from tty1, via xinit (not xdm).

 > 
 > Nicholas

-- 
Jeff Sheinberg  <jeffsh@erols.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#84676; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Jeff Sheinberg <jeffsh@erols.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #20 received at 84676@bugs.debian.org (full text, mbox):

From: Jeff Sheinberg <jeffsh@erols.com>
To: 84676@bugs.debian.org
Cc: Jeff Sheinberg <jeffsh@erols.com>
Subject: Re: Bug#84676: xterm: utmp entry of user starting X is getting clobbered
Date: Thu, 26 Apr 2001 13:46:08 -0400
Hi,

I have looked into this in more detail, so here is a typescript
that shows how invoking an xterm is subsequently clobbering the
utmp file,

    120 jeff ~ $ who
    jeff     pts/1    Apr 26 11:11 (:0.0)
    jsroot   pts/2    Apr 26 11:12 (:0.0)
    jeff     tty3     Apr 26 11:09
    jeff     tty4     Apr 26 11:09
    jsroot   tty9     Apr 26 12:08
    jeff     pts/0    Apr 26 11:11 (:0.0)
    jeff     :0       Apr 26 11:11
    jsroot   pts/2    Apr 26 11:14

    121 jeff ~ $ v /dev/pts/
    total 0
    crw--w----    1 jeff     tty      136,   0 Apr 26 12:52 0
    crw--w----    1 jeff     tty      136,   1 Apr 26 12:36 1
    crw--w----    1 root     tty      136,   2 Apr 26 12:23 2

    122 jeff ~ $ xterm&
    [1] 3299

    123 jeff ~ $ who
    jeff     pts/1    Apr 26 11:11 (:0.0)
    jsroot   pts/2    Apr 26 11:12 (:0.0)
    jeff     pts/3    Apr 26 12:52 (:0.0)
    jeff     tty4     Apr 26 11:09
    jsroot   tty9     Apr 26 12:08
    jeff     pts/0    Apr 26 11:11 (:0.0)
    jeff     :0       Apr 26 11:11
    jsroot   pts/2    Apr 26 11:14

    124 jeff ~ $ v /dev/pts
    total 0
    crw--w----    1 jeff     tty      136,   0 Apr 26 12:57 0
    crw--w----    1 jeff     tty      136,   1 Apr 26 12:36 1
    crw--w----    1 root     tty      136,   2 Apr 26 12:23 2
    crw--w----    1 jeff     tty      136,   3 Apr 26 12:52 3

there was no other login activity going on during the above
snapshot, other than that at !122, which clobbered the utmp entry
for "tty3" by overwriting it with "pts/3".

Thanks,
-- 
Jeff Sheinberg  <jeffsh@erols.com>




Changed Bug title. Request was from branden@deadbeast.net (Branden Robinson) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 80936 84676. Request was from branden@deadbeast.net (Branden Robinson) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#84676; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #29 received at 84676@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com
To: 84676@bugs.debian.org
Cc: dickey@herndon4.his.com
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=84676&repeatmerged=y
Date: Fri, 28 Sep 2001 05:31:23 -0400
I looked into this last night (the poster did not bother to tell what version
of xterm he was using, so it didn't get as much scrutiny).  The problem is that
my rewrite of pty names for the -S option last fall broke this by making
my_pty_id() return "1" for both tty1 and pts/1 (will fix in patch #160, after I
review the -S option to see that I don't break one thing while fixing another).

                        Debian Bug report logs - #84676
>     xterm: utmp entry of user starting X is getting clobbered [UPSTREAM]
>
>   Package:  xterm;  ;Reported  by:  Jeff  Sheinberg  <jeffsh@erols.com>;
>   merged with #80936; dated Sat, 3 Feb 2001 01:48:01 UTC; Maintainer for
>   xterm is Branden Robinson <branden@debian.org>.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Merged 80936 84676 115570. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeff Sheinberg <jeffsh@erols.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 84676-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 84676-close@bugs.debian.org
Subject: Bug#84676: fixed in xfree86 4.1.0-8
Date: Fri, 19 Oct 2001 15:14:34 -0400
We believe that the bug you reported is fixed in the latest version of
xfree86, which has been installed in the Debian FTP archive:

xnest_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xnest_4.1.0-8_i386.deb
xfonts-100dpi_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.1.0-8_all.deb
libdps1_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libdps1_4.1.0-8_i386.deb
xserver-common_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xserver-common_4.1.0-8_i386.deb
xlibmesa3-dbg_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.1.0-8_i386.deb
xbase-clients_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.1.0-8_i386.deb
xspecs_4.1.0-8_all.deb
  to pool/main/x/xfree86/xspecs_4.1.0-8_all.deb
xfonts-base_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-base_4.1.0-8_all.deb
xfree86_4.1.0-8.dsc
  to pool/main/x/xfree86/xfree86_4.1.0-8.dsc
x-window-system-core_4.1.0-8_all.deb
  to pool/main/x/xfree86/x-window-system-core_4.1.0-8_all.deb
xserver-xfree86_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.1.0-8_i386.deb
x-window-system_4.1.0-8_all.deb
  to pool/main/x/xfree86/x-window-system_4.1.0-8_all.deb
xlibosmesa3_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibosmesa3_4.1.0-8_i386.deb
xlibosmesa3-dbg_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibosmesa3-dbg_4.1.0-8_i386.deb
xfonts-100dpi-transcoded_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.1.0-8_all.deb
xfree86_4.1.0-8.diff.gz
  to pool/main/x/xfree86/xfree86_4.1.0-8.diff.gz
xlibs-dev_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibs-dev_4.1.0-8_i386.deb
xfonts-pex_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-pex_4.1.0-8_all.deb
twm_4.1.0-8_i386.deb
  to pool/main/x/xfree86/twm_4.1.0-8_i386.deb
xfree86-common_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfree86-common_4.1.0-8_all.deb
xvfb_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xvfb_4.1.0-8_i386.deb
libxaw6-dbg_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.1.0-8_i386.deb
libdps-dev_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.1.0-8_i386.deb
xfs_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xfs_4.1.0-8_i386.deb
libxaw7_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libxaw7_4.1.0-8_i386.deb
xfonts-base-transcoded_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.1.0-8_all.deb
xutils_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xutils_4.1.0-8_i386.deb
xlib6g-dev_4.1.0-8_all.deb
  to pool/main/x/xfree86/xlib6g-dev_4.1.0-8_all.deb
libxaw7-dbg_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.1.0-8_i386.deb
proxymngr_4.1.0-8_i386.deb
  to pool/main/x/xfree86/proxymngr_4.1.0-8_i386.deb
xfonts-scalable_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.1.0-8_all.deb
xfonts-75dpi_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.1.0-8_all.deb
xlib6g_4.1.0-8_all.deb
  to pool/main/x/xfree86/xlib6g_4.1.0-8_all.deb
xprt_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xprt_4.1.0-8_i386.deb
libxaw7-dev_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.1.0-8_i386.deb
xmh_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xmh_4.1.0-8_i386.deb
xlibmesa3_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.1.0-8_i386.deb
libxaw6_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libxaw6_4.1.0-8_i386.deb
xfonts-75dpi-transcoded_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.1.0-8_all.deb
lbxproxy_4.1.0-8_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.1.0-8_i386.deb
xfwp_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xfwp_4.1.0-8_i386.deb
libdps1-dbg_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.1.0-8_i386.deb
xlibs_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibs_4.1.0-8_i386.deb
xdm_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xdm_4.1.0-8_i386.deb
xfonts-cyrillic_4.1.0-8_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.1.0-8_all.deb
xlibosmesa-dev_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.1.0-8_i386.deb
xterm_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xterm_4.1.0-8_i386.deb
xlibmesa-dev_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.1.0-8_i386.deb
libxaw6-dev_4.1.0-8_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.1.0-8_i386.deb
xlibs-dbg_4.1.0-8_i386.deb
  to pool/main/x/xfree86/xlibs-dbg_4.1.0-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 84676@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 Oct 2001 09:43:38 -0500
Source: xfree86
Binary: xserver-common xlibs-dev xfs xfree86-common xfonts-pex x-window-system xlibmesa-dev xspecs xlibmesa3 xfonts-cyrillic xlibmesa3-dbg xserver-xfree86 xlibs-dbg libxaw6 libxaw7 xterm xvfb xfonts-scalable xfonts-75dpi xlib6g proxymngr libxaw6-dev libdps1-dbg xlib6g-dev xfonts-base xutils libxaw7-dev xnest xlibs libxaw6-dbg xmh lbxproxy libxaw7-dbg xfonts-base-transcoded xbase-clients xprt xlibosmesa3 x-window-system-core xlibosmesa-dev twm xfwp xfonts-100dpi-transcoded xlibosmesa3-dbg xfonts-100dpi xdm libdps-dev xfonts-75dpi-transcoded libdps1
Architecture: source all i386
Version: 4.1.0-8
Distribution: unstable
Urgency: medium
Maintainer: Branden Robinson <branden@debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6) (unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-pex - fonts for minimal PEX support in X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlib6g     - pseudopackage providing X libraries
 xlib6g-dev - pseudopackage providing X library development files
 xlibmesa-dev - XFree86 version of Mesa 3D graphics library development files
 xlibmesa3  - XFree86 version of Mesa 3D graphics library
 xlibmesa3-dbg - XFree86 version of Mesa 3D graphics library (unstripped)
 xlibosmesa-dev - Mesa/XFree86 offscreen rendering library development files
 xlibosmesa3 - Mesa/XFree86 offscreen rendering library
 xlibosmesa3-dbg - Mesa/XFree86 offscreen rendering library (unstripped)
 xlibs      - X Window System client libraries
 xlibs-dbg  - X Window System client libraries (unstripped)
 xlibs-dev  - X Window System client library development files
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 81993 84676 113878 114664 114729 115221 115242
Changes: 
 xfree86 (4.1.0-8) unstable; urgency=medium
 .
   * the "Bert is Evil" release
   * patch #000_stolen_from_HEAD_xterm: xterm patches #159, #160, #161
     includes "modify logic in main.c (see patch #145) to avoid generating the
     same identifier, for example, for /dev/tty1 and /dev/pts/1, which is used to
     denote an entry in the utmp file" (Closes: #84676)
 .
   * patch #001: m68k can use -fPIC like everyone else (not -fpic)
   * patch #002:
     - use large fonts in xdm greeter for 1024-pixel-wide displays
       (thanks, Brendan O'Dea)
     - only display logo on 1024-pixel or wider displays
     - correct typo in widget translations (Closes: #115221)
   * patch #035: patch from Thorsten Kukuk to make leo driver report supported
     fbbpp correctly
   * patch #310: removed (see below)
   * patch #311,312: merged in some old ARM support patches thanks to Adam C.
     Powell IV
   * patch #350,400: resynced with ARM patches above
 .
   * debian/control:
     - xserver-xfree86 Conflicts: libxfont-xtt, and
     - xlibs-dev Conflicts: libxfont-xtt-dev (Closes: #81993)
   * debian/local/README.Debian-upgrade: added paragraph about deprecation of
     Xmodmap usage by the default Xsession scripts
   * debian/local/Xsession: assign a default value of /tmp to $TMPDIR if it is
     unset and a value is needed (Closes: #115242)
   * debian/local/Xsession.d/99xfree86-common_start: don't quote $REALSTARTUP
     (Closes: #113878)
   * debian/local/Xsession.options: remove "allow-user-modmap" from default
     version of file since this option is no longer supported
   * debian/rules: set LC_ALL to C when generating MANIFEST files so that
     localization of the build environment doesn't generate false negatives in
     the MANIFEST check (thanks, Martin Albert) (Closes: #114729)
   * debian/{xbase-clients,xfree86-common}.preinst.in: only move unmodified
     xmodmap-related conffiles if upgrading from << 4.1.0-7
   * debian/xserver-common.templates.es: added Spanish translation (thanks,
     Carlos Valdivia Yag├╝e) (Closes: #114664)
Files: 
 3bf5b2d0b5bf6aefc2ec4f40fe0642e3 1530 x11 optional xfree86_4.1.0-8.dsc
 47a8c2a0860f6d231441aaa24fd44a54 1238702 x11 optional xfree86_4.1.0-8.diff.gz
 37cb70d5bde5e466ad579780200fd9f1 117882 x11 optional lbxproxy_4.1.0-8_i386.deb
 628790288148641603917c1d7058bea4 154750 libs optional libdps1_4.1.0-8_i386.deb
 0224134429ac987d601d51a6ea04cf91 396152 devel extra libdps1-dbg_4.1.0-8_i386.deb
 72b26e1549b165b8e3d10a97e5399665 215054 devel optional libdps-dev_4.1.0-8_i386.deb
 ad080d4a474ba55788dab7024e89afcb 151518 libs optional libxaw6_4.1.0-8_i386.deb
 4b7ac05bff9d7cd130cfd1d3b5ad7335 319696 devel extra libxaw6-dbg_4.1.0-8_i386.deb
 7f6934bd7047beee2ef44d994b781ae5 277158 devel extra libxaw6-dev_4.1.0-8_i386.deb
 f2727af6ec16103e694a4569df71b937 198404 libs optional libxaw7_4.1.0-8_i386.deb
 be7808f218f7a1e238fcbcd09924cc67 419316 devel extra libxaw7-dbg_4.1.0-8_i386.deb
 54d5a6f38cf6f41c79ba6674ea66e074 277036 devel optional libxaw7-dev_4.1.0-8_i386.deb
 2c3d0f299b955fd999c30997914d368f 61560 x11 optional proxymngr_4.1.0-8_i386.deb
 8c4f6886d91c1131ad3c9d7ae2cf263c 137010 x11 optional twm_4.1.0-8_i386.deb
 0636911f0b8f6d7ba272596dc564ab1c 1448474 x11 optional xbase-clients_4.1.0-8_i386.deb
 dc7929b780802523cc54fa15595159ef 155250 x11 optional xdm_4.1.0-8_i386.deb
 57bcabecd2fad9c582f5ddfe389cc0bc 265124 x11 optional xfs_4.1.0-8_i386.deb
 cbc625e16cadb0700a4b2a8546481be5 66534 x11 optional xfwp_4.1.0-8_i386.deb
 39fb340138ff798a7f57df17dbcebdf0 3440736 libs optional xlibmesa3_4.1.0-8_i386.deb
 5e12232d198d1ee4ec9236447aecf641 852166 devel extra xlibmesa3-dbg_4.1.0-8_i386.deb
 fe7fa38d3a656f5146b9e4c2113ce7ca 538220 devel optional xlibmesa-dev_4.1.0-8_i386.deb
 3690d839d2b8493d7a493a4e6f6598b8 447736 libs optional xlibosmesa3_4.1.0-8_i386.deb
 b0d19140f6ad4f214574cd007037ea41 949652 devel extra xlibosmesa3-dbg_4.1.0-8_i386.deb
 71ee5308a088d148ee3414e8ef824ae4 507986 devel optional xlibosmesa-dev_4.1.0-8_i386.deb
 c27e4cd556830cd1c9686173fcb4a9be 1208788 libs optional xlibs_4.1.0-8_i386.deb
 caf370850e3baa98ccb9f29ce92741f7 2520752 devel extra xlibs-dbg_4.1.0-8_i386.deb
 64ab2c15efbf07b7dec86cab27482dca 2899018 devel optional xlibs-dev_4.1.0-8_i386.deb
 6894a62d0fe09453b1690d502bdbdd14 109986 mail extra xmh_4.1.0-8_i386.deb
 53b82b81e5e62a1a3fff9a572ede6eff 1378942 x11 optional xnest_4.1.0-8_i386.deb
 3615ab502d96e28ac2e1f9c1acbf9bca 1108436 x11 optional xprt_4.1.0-8_i386.deb
 7a591578945f8e663e45589e5b7ff014 197156 x11 optional xserver-common_4.1.0-8_i386.deb
 4c0f95960c039b0076ed7bcf46f2974e 4250986 x11 optional xserver-xfree86_4.1.0-8_i386.deb
 7b6b1cd334aaf2f1f1449cfd62fd1bc6 443774 x11 optional xterm_4.1.0-8_i386.deb
 c21320e22d04304233649615135eb599 390334 x11 optional xutils_4.1.0-8_i386.deb
 52a2ec5f6bc0e91c7be798ab066f2b4b 1479572 x11 optional xvfb_4.1.0-8_i386.deb
 5bb6db1d5f3f0885932eca3ee351bdde 4244346 x11 optional xfonts-100dpi_4.1.0-8_all.deb
 47c8a9487eb8e05803466a084aac7dfb 8075320 x11 optional xfonts-100dpi-transcoded_4.1.0-8_all.deb
 588366b086b949e9669ee74d2fdd9be1 3722070 x11 optional xfonts-75dpi_4.1.0-8_all.deb
 f73b4366aea0a71518a736a5278f539f 6951932 x11 optional xfonts-75dpi-transcoded_4.1.0-8_all.deb
 0c3f891b62de9756207ee169bb34c831 4946772 x11 optional xfonts-base_4.1.0-8_all.deb
 1ab958733da35d46ec25eacd23b44d62 1084808 x11 optional xfonts-base-transcoded_4.1.0-8_all.deb
 a8a94a4e21e8fb4c22ee9006bf183714 417630 x11 optional xfonts-cyrillic_4.1.0-8_all.deb
 c52bfe799bf241cf0a7f5de3e00c384a 54144 x11 optional xfonts-pex_4.1.0-8_all.deb
 a740057d91453f233b4f4da2a66d7b4c 781546 x11 optional xfonts-scalable_4.1.0-8_all.deb
 5eaf9c694a4faea29a5b97a9fdbf0b6a 524250 x11 optional xfree86-common_4.1.0-8_all.deb
 98e45a50731a9904859be0de77bf1b7d 4151438 x11 optional xspecs_4.1.0-8_all.deb
 6ed73067d4f4a1be46baf6b7dcd465c8 45902 libs optional xlib6g_4.1.0-8_all.deb
 b40cf1afd98e95469f9ec628c08c4bbb 45704 devel optional xlib6g-dev_4.1.0-8_all.deb
 2c258aa96d0d09ffcf4a2e05fbbe69bf 45894 x11 optional x-window-system-core_4.1.0-8_all.deb
 870b10f166cb31a0196fd7eb26a6dc84 45746 x11 optional x-window-system_4.1.0-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjvQUuEACgkQ6kxmHytGonxM9gCgqSdU9krq3izHfYhESwGstZ4b
ldcAnjINCORw/wcip5NEFkuUK67PpThU
=LRpo
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:49:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.